Partio

Public Attributes | List of all members
Partio::ParticleAttribute Class Reference

Particle Collection Interface. More...

`#include <PartioAttribute.h>`

## Public Attributes
ParticleAttributeType | type {NONE}
| Type of attribute.
int | count {0}
| Number of entries, should be 3 if type is VECTOR.
std::string | name
| Name of attribute.
int | attributeIndex {-1}
| Internal method of fast access, user should not use or change.

## Detailed Description

Particle Collection Interface.

This class provides a handle and description of an attribute. This includes what type the primitive is, the number of entries, the name of the attribute and an index which speeds lookups of data

## Member Data Documentation

## ◆ attributeIndex

int Partio::ParticleAttribute::attributeIndex {-1}

Internal method of fast access, user should not use or change.

## ◆ count

int Partio::ParticleAttribute::count {0}

Number of entries, should be 3 if type is VECTOR.

## ◆ name

std::string Partio::ParticleAttribute::name

Name of attribute.

## ◆ type

ParticleAttributeType Partio::ParticleAttribute::type {NONE}

Type of attribute.

The documentation for this class was generated from the following file:

- src/lib/PartioAttribute.h